▼ |  | Sprachebenen und Material zu Schreibe Dein Programm! / Die Macht der Abstraktion

1 | Die Macht der Abstraktion - Anfänger
2 | Die Macht der Abstraktion
3 | Die Macht der Abstraktion mit Zuweisungen
4 | Die Macht der Abstraktion fortgeschritten
5 | Konstruktionsanleitungen 1 bis 10
6 | Bilder konstruieren: "image.ss"
7 | Animationen: "world.ss"
8 | Turtle-Grafik: "turtle.ss"
9 | Abspielen von Audio-Dateien: "sound.ss"
10 | 3D-Liniengraphik: "line3d.ss"
11 | DMd A: Sprachen als Libraries
| Index

On this page:

play-sound-file
background-play-sound-file

top ← prev up next →

### 9`` Abspielen von Audio-Dateien: "sound.ss"

Note: This is documentation for the "sound.rkt" teachpack that goes with the German textbook Die Macht der Abstraktion.

Dieses Teachpack definiert eine Prozedur zum Abspielen einer Audio-Datei. Diese Prozedur ist je nach Plattform unterschiedlich realisiert, und funktioniert möglicherweise nicht auf jedem Rechner.

> > value

> > play-sound-file : (string -> unspecific)

Der Aufruf (play-sound-file f) spielt die Audio-Datei mit dem Namen f ab.

> > value

> > background-play-sound-file : (string -> unspecific)

Der Aufruf (background-play-sound-file f) spielt die Audio-Datei mit dem Namen f im Hintergrund ab, also ohne dass das Scheme-Programm anhält.
top ← prev up next →